@echo off
setlocal EnableExtensions EnableDelayedExpansion

REM === load .vars.conf file ===
for /f "usebackq delims=" %%A in ("%~dp0.vars.conf") do (
    set "%%A"
)

REM === check python interpreter exists ===
if not defined PYTHON_INTERPRETER (
    echo ERROR: PYTHON_INTERPRETER not defined
    exit /b 1
)


REM === execute ===
"%PYTHON_INTERPRETER%\python3.exe" "%~dp0auto_import.py" %*
